---
names: 
  full: "Google Cloud SQL Instance has public IP addresses"
  contextual: "SQL Instance has public IP addresses"
description: "It is recommended to configure Second Generation Sql instance to use private IPs instead of public IPs."
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/06/06
  - /frameworks/cloudaware/resource-security/public-and-anonymous-access
  - /frameworks/nist-sp-800-53-r5/ac/03
  - /frameworks/nist-sp-800-53-r5/ac/05
  - /frameworks/nist-sp-800-53-r5/ac/06
  - /frameworks/nist-sp-800-53-r5/ma/04
  - /frameworks/nist-sp-800-53-r5/mp/02
  - /frameworks/pci-dss-v4.0/01/03/01
  - /frameworks/iso-iec-27001-2022/05/10
  - /frameworks/iso-iec-27001-2022/05/15
  - /frameworks/iso-iec-27001-2022/08/03
  - /frameworks/iso-iec-27001-2022/08/04
  - /frameworks/nist-csf-v1.1/pr-ac/04
  - /frameworks/soc-2/cc5/02/02
  - /frameworks/soc-2/cc5/02/03
  - /frameworks/soc-2/cc6/01/03
  - /frameworks/soc-2/cc6/01/07
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/CloudSQL/sql-database-instances-with-public-ips.html"
      name: "Check for Cloud SQL Database Instances with Public IPs"
